/********************************************************************************
*                                                                               *
*                      F X   M O V I E   M A N A G E R                          *
*                                                                               *
*********************************************************************************
* Copyright(C) 2008,2014 by Luigi Ziviani <ziviani_luigi@yahoo.it>.             *
* All Rights Reserved.                            version 7                     *
*********************************************************************************
* Id: main.cpp(fxtxtview),                        2005/01/01                    *
*********************************************************************************
* This file is part of FXMOVIEMANAGER                                           *
*                                                                               *
* FXMOVIEMANAGER is free software; you can redistribute it and/or modify        *
* it under the terms of the GNU General Public License as published by          *
* the Free Software Foundation; either version 3 of the License, or             *
* (at your option) any later version.                                           *
*                                                                               *
* FXMOVIEMANAGER is distributed in the hope that it will be useful,             *
* but WITHOUT ANY WARRANTY; without even the implied warranty of                *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                 *
* GNU General Public License for more details.                                  *
*                                                                               *
* You should have received a copy of the GNU General Public License             *
* along with this program; if not, see <http://www.gnu.org/licenses/>           *
********************************************************************************/

#include <fx.h>
#include <signal.h>
#include "fxtxtview.h"

// Start the whole thing
int main(int argc, char **argv) {

    // Make application
    FXApp application("Configuration","FXMM");

    // Open display
    application.init(argc,argv);

    // Make window
    TextEncryptor* window=new TextEncryptor(&application);

    // Handle interrupt to save stuff nicely
    application.addSignal(SIGINT,window,TextEncryptor::ID_QUIT);

    // Create it
    application.create();

    // Open TXT document?
    if(argc>1) window->loadFile(argv[1]);

    // Run
    application.run();
}


